Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1823365

Summary: Review Request: golang-github-ns3777k-shodan - Shodan API client
Product: [Fedora] Fedora Reporter: Fabian Affolter <mail>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-07-07 00:59:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 563471    

Description Fabian Affolter 2020-04-13 13:17:33 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-ns3777k-shodan.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-ns3777k-shodan-4.2.0-1.fc31.src.rpm

Project URL: https://github.com/ns3777k/go-shodan

Description:
A Shodan client written in Go.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=43337342

rpmlint output:
$ rpmlint golang-github-ns3777k-shodan-4.2.0-1.fc31.src.rpm 
golang-github-ns3777k-shodan.src: W: invalid-url URL: https://github.com/ns3777k/go-shodan/shodan HTTP Error 404: Not Found
golang-github-ns3777k-shodan.src: W: no-%build-section
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint golang-github-ns3777k-shodan-devel-4.2.0-1.fc31.noarch.rpm 
golang-github-ns3777k-shodan-devel.noarch: W: invalid-url URL: https://github.com/ns3777k/go-shodan/shodan HTTP Error 404: Not Found
golang-github-ns3777k-shodan-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/ns3777k/go-shodan/shodan/.goipath
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-06-21 15:34:14 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Gwyn Ciesla 2020-06-22 20:43:51 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-ns3777k-shodan

Comment 3 Fedora Update System 2020-06-28 07:43:52 UTC
FEDORA-2020-32624f2aa1 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-32624f2aa1

Comment 4 Fedora Update System 2020-06-28 07:50:01 UTC
FEDORA-2020-77fa1583b2 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-77fa1583b2

Comment 5 Fedora Update System 2020-06-29 01:18:51 UTC
FEDORA-2020-77fa1583b2 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-77fa1583b2 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-77fa1583b2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-06-29 01:27:02 UTC
FEDORA-2020-32624f2aa1 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-32624f2aa1 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-32624f2aa1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-07-07 00:59:24 UTC
FEDORA-2020-77fa1583b2 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-07-07 01:05:39 UTC
FEDORA-2020-32624f2aa1 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.